PGPAINLESS-CLI-DECRYPT(1)

NAME
pgpainless-cli-decrypt - Decrypt a message from standard input

SYNOPSIS

pgpainless-cli decrypt [--not-after=DATE] [--not-before=DATE] [--session-key-out=SESSIONKEY] [--verify-out=VERIFICATIONS] [--verify-with=CERT]... [--with-key-password=PASSWORD]... [--with-password=PASSWORD]... [--with-session-key=SESSIONKEY]... [KEY...]

DESCRIPTION

OPTIONS

--not-after=DATE
    ISO-8601 formatted UTC date (e.g. '2020-11-23T16:35Z)

    Reject signatures with a creation date not in range.

    Defaults to current system time ('now').

    Accepts special value '-' for end of time.

--not-before=DATE
    ISO-8601 formatted UTC date (e.g. '2020-11-23T16:35Z)

    Reject signatures with a creation date not in range.

    Defaults to beginning of time ('-').

--session-key-out=SESSIONKEY
    Can be used to learn the session key on successful decryption

--verify-out=VERIFICATIONS
    Emits signature verification status to the designated output

--verify-with=CERT
    Certificates for signature verification

--with-key-password=PASSWORD
    Passphrase to unlock the secret key(s).

    Is an INDIRECT data type (e.g. file, environment variable, file descriptor...).

--with-password=PASSWORD
    Symmetric passphrase to decrypt the message with.

    Enables decryption based on any "SKESK" packets in the "CIPHERTEXT".

--with-session-key=SESSIONKEY
    Symmetric message key (session key).

    Enables decryption of the "CIPHERTEXT" using the session key directly against the "SEIPD" packet.

    Is an INDIRECT data type (e.g. file, environment variable, file descriptor...)

ARGUMENTS

[KEY...]
    Secret keys to attempt decryption with

EXIT CODES:

0
    Successful program execution

1
    Generic program error

3
    Verification requested but no verifiable signature found

13
    Unsupported asymmetric algorithm

17
    Certificate is not encryption capable

19
    Usage error: Missing argument

23
    Incomplete verification instructions

29
    Unable to decrypt

31
    Password is not human-readable

37
    Unsupported Option

41
    Invalid data or data of wrong type encountered

53
    Non-text input received where text was expected

59
    Output file already exists

61
    Input file does not exist

67
    Cannot unlock password protected secret key

69
    Unsupported subcommand

71
    Unsupported special prefix (e.g. "@env/@fd") of indirect parameter

73
    Ambiguous input (a filename matching the designator already exists)

79
    Key is not signing capable